%global minor_version	2
%global libver		5.0.0
%define url_ver		%(echo %{version}|cut -d. -f1,2)

Name:		java-atk-wrapper
Version:	0.38.0
Release:	%mkrel 1
Summary:	Java ATK Wrapper
Group:		Development/Java
License:	LGPLv2+
URL:		https://gitlab.gnome.org/GNOME/java-atk-wrappe
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# this is a fedora-specific file
# needed to explain how to use java-atk-wrapper with different java runtimes
Source1:	README.fedora

BuildRequires:	java-devel

BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	xprop
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(atk-bridge-2.0)
BuildRequires:	pkgconfig(atspi-2)

Requires:	java
Requires:	xprop

%description
Java ATK Wrapper is a implementation of ATK by using JNI technic. It
converts Java Swing events into ATK events, and send these events to
ATK-Bridge.

JAW is part of the Bonobo deprecation project. It will replaces the
former java-access-bridge.
By talking to ATK-Bridge, it keeps itself from being affected by the
change of underlying communication mechanism.

%prep
%setup -q
%autopatch -p0

%build
%configure
%__make
cp %{SOURCE1} .

%install
# java-atk-wrapper's make install is broken by design
# it installs to the current JDK_HOME. We want to install it to a central
# location and then allow all/any JRE's/JDK's to use it.
# make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_libdir}/%{name}

mv wrapper/java-atk-wrapper.jar %{buildroot}%{_libdir}/%{name}/
mv jni/src/.libs/libatk-wrapper.so %{buildroot}%{_libdir}/%{name}/
ln -s %{_libdir}/%{name}/libatk-wrapper.so \
    %{buildroot}%{_libdir}/%{name}/libatk-wrapper.so.0


%files
%doc AUTHORS
%doc COPYING.LESSER
%doc NEWS
%doc README
%doc README.fedora
%{_libdir}/%{name}/


%changelog
* Fri Mar 06 2020 daviddavid <daviddavid> 0.38.0-1.mga8
+ Revision: 1554385
- new version 0.38.0

* Thu Feb 13 2020 umeabot <umeabot> 0.33.2-6.mga8
+ Revision: 1513673
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
+ ovitters <ovitters>
- fix source url

* Sun Sep 23 2018 umeabot <umeabot> 0.33.2-5.mga7
+ Revision: 1298354
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Sun Dec 06 2015 neoclust <neoclust> 0.33.2-3.mga6
+ Revision: 908489
- Do a clean rebuild on the BS

* Thu Sep 24 2015 daviddavid <daviddavid> 0.33.2-2.mga6
+ Revision: 883313
- new version: 0.33.2
- add patch from Fedora to fix addition of not existing manifest
- add BuildRequires on gtk3-devel, at-spi2-atk-devel and at-spi2-core-devel
- introduce 'libver' macro to avoid duplicated entry

* Sat Jun 20 2015 ovitters <ovitters> 0.30.9-1.mga6
+ Revision: 836892
- new version 0.30.9

* Wed Oct 15 2014 umeabot <umeabot> 0.30.4-6.mga5
+ Revision: 742927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.4-5.mga5
+ Revision: 680637
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 0.30.4-4.mga4
+ Revision: 565108
- imported package java-atk-wrapper
+ pterjan <pterjan>
- Use configure2_5x


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 10 2012 - Omair Majid <omajid@redhat.com> - 0.30.4-1
- Added missing requires/buildrequires on xorg-x11-utils
- Added README.fedora

* Wed May 09 2012 - Omair Majid <omajid@redhat.com> - 0.30.4-1
- Initial packaging
